Bug 98059 - Inserting Audio sound replaces content in the center of the slide
Summary: Inserting Audio sound replaces content in the center of the slide
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:5.3.0
Keywords: preBibisect, regression
Depends on:
Blocks:
 
Reported: 2016-02-21 17:22 UTC by yoann.basset
Modified: 2016-11-11 15:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yoann.basset 2016-02-21 17:22:02 UTC
When inserting an audio file, if the current slide has any content in the center (where the audio "box" will be put), this content is replaced with the audio "box" automatically. 

Example:
- Put a big image in the center of the slide
- Click outside the image to be sure it's not selected
- Insert audio file
- Picture will be replaced by sound "box", with exact same size the image was

The only found workaround was to insert audio file to an empty slide, then cut/paste it to the target slide ... not very convenient :)

This problem was already existing in previous versions (checked on v3.5.0rc3)
Comment 1 MM 2016-02-22 00:02:42 UTC
Unconfirmed with v3.3.4 under windows 7 x64.
Confirmed with v4.1.6.2 under mint 16 x64.
Confirmed with v5.1.1.1 under ubuntu 14.04 x64.

Any inserted audio or video destroys any text/graphics directly underneat the place the 'black box' is set.

Another workaround is to move the text/graphics towards the side (any) of the slide and move them back after inserting.
Comment 2 Xisco Faulí 2016-09-13 11:26:51 UTC
Adding keyword 'preBisect' as this regression was introduced before branch 4.4 and therefore it can't be bibisected as there's no bibisect repository for this branch.
Comment 3 Commit Notification 2016-11-11 15:44:50 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f908ec9c2230a65db309fe5ed3e43390d72bbe51

tdf#98059 Don't replace existing objects when inserting media

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.